Package: org.codehaus.groovy.ant

## [Java] Class CompileTaskSupport

- org.codehaus.groovy.ant.CompileTaskSupport

-     public abstract class CompileTaskSupport
      extends MatchingTask

  Support for compilation related tasks.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Path` | `classpath` |
    `protected CompilerConfiguration` | `config` |
    `protected File` | `destdir` |
    `protected boolean` | `failOnError` |
    `protected LoggingHelper` | `log` |
    `protected Path` | `src` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected abstract void` | `compile()`
    `` | `protected GroovyClassLoader` | `createClassLoader()`
    `` | `public Path` | `createClasspath()`
    `` | `public CompilerConfiguration` | `createConfiguration()`
    `` | `public Path` | `createSrc()`
    `` | `public void` | `execute()`
    `` | `public Path` | `getClasspath()`
    `` | `public boolean` | `getFailonerror()`
    `` | `public Path` | `getSrcdir()`
    `` | `protected void` | `handleException(Exception e)`
    `` | `public void` | `setClasspath(Path path)`
    `` | `public void` | `setClasspathRef(Reference r)`
    `` | `public void` | `setDestdir(File dir)`
    `` | `public void` | `setFailonerror(boolean fail)`
    `` | `public void` | `setSrcdir(Path dir)`
    `` | `protected void` | `validate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `XsetIgnore, XsetItems, add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, bindToOwner, clone, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, equals, execute, getClass, getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getSelectors, getTaskName, getTaskType, hasSelectors, hashCode, init, log, log, log, log, maybeConfigure, notify, notifyAll, perform, reconfigure, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDescription, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setLocation, setOwningTarget, setProject, setRuntimeConfigurableWrapper, setTaskName, setTaskType, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected Path classpath

    - #### protected CompilerConfiguration config

    - #### protected File destdir

    - #### protected boolean failOnError

    - #### protected final LoggingHelper log

    - #### protected Path src

  - ### Method Detail

    - #### protected abstract void compile()

    - #### protected GroovyClassLoader createClassLoader()

    - #### public Path createClasspath()

    - #### public CompilerConfiguration createConfiguration()

    - #### public Path createSrc()

    - #### @Override
      public void execute()

    - #### public Path getClasspath()

    - #### public boolean getFailonerror()

    - #### public Path getSrcdir()

    - #### protected void handleException(Exception e)

    - #### public void setClasspath(Path path)

    - #### public void setClasspathRef(Reference r)

    - #### public void setDestdir(File dir)

    - #### public void setFailonerror(boolean fail)

    - #### public void setSrcdir(Path dir)

    - #### protected void validate()